Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.4.2017.1886.1
Category:SuSE Local Security Checks
Title:SUSE: Security Advisory (SUSE-SU-2017:1886-1)
Summary:The remote host is missing an update for the 'gnutls' package(s) announced via the SUSE-SU-2017:1886-1 advisory.
Description:Summary:
The remote host is missing an update for the 'gnutls' package(s) announced via the SUSE-SU-2017:1886-1 advisory.

Vulnerability Insight:
This update for gnutls fixes the following issues:
- GNUTLS-SA-2017-3 / CVE-2017-7869: An out-of-bounds write in OpenPGP
certificate decoding was fixed (bsc#1034173)
- CVE-2017-6891: A potential stack buffer overflow in the bundled libtasn1
was fixed (bsc#1040621)
- An address read of 4 bytes past the end of buffer in OpenPGP certificate
parsing was fixed (bsc#1038337)

Affected Software/OS:
'gnutls' package(s) on SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise High Availability Extension 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4

Solution:
Please install the updated package(s).

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2017-6891
BugTraq ID: 98641
http://www.securityfocus.com/bid/98641
Debian Security Information: DSA-3861 (Google Search)
http://www.debian.org/security/2017/dsa-3861
https://security.gentoo.org/glsa/201710-11
https://secuniaresearch.flexerasoftware.com/advisories/76125/
https://secuniaresearch.flexerasoftware.com/secunia_research/2017-11/
https://lists.apache.org/thread.html/rf4c02775860db415b4955778a131c2795223f61cb8c6a450893651e4@%3Cissues.bookkeeper.apache.org%3E
https://lists.apache.org/thread.html/r58af02e294bd07f487e2c64ffc0a29b837db5600e33b6e698b9d696b@%3Cissues.bookkeeper.apache.org%3E
http://www.securitytracker.com/id/1038619
SuSE Security Announcement: openSUSE-SU-2019:1510 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00018.html
Common Vulnerability Exposure (CVE) ID: CVE-2017-7869
BugTraq ID: 97040
http://www.securityfocus.com/bid/97040
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=420
https://gitlab.com/gnutls/gnutls/commit/51464af713d71802e3c6d5ac15f1a95132a354fe
RedHat Security Advisories: RHSA-2017:2292
https://access.redhat.com/errata/RHSA-2017:2292
CopyrightCopyright (C) 2021 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.